## GstTuner

    GInterface
        ╰──GstTuner

### Signals

#### channel-changed

    channel_changed_callback (GstElement * tuner,
                              GstTunerChannel * channel,
                              gpointer udata)

    def channel_changed_callback (tuner, channel, udata):
        #python callback for the 'channel-changed' signal

    function channel_changed_callback(tuner: GstElement * tuner, channel: GstTunerChannel * channel, udata: gpointer udata): {
        // javascript callback for the 'channel-changed' signal
    }

Reports that the current GstTunerChannel has changed.

Parameters:

`tuner` –

The element providing the GstTuner interface

`channel` –

The new configured channel.

`udata` –
No description available

Flags: Run Last

#### frequency-changed

    frequency_changed_callback (GstElement * tuner,
                                GstTunerChannel * frequency,
                                gulong arg1,
                                gpointer udata)

    def frequency_changed_callback (tuner, frequency, arg1, udata):
        #python callback for the 'frequency-changed' signal

    function frequency_changed_callback(tuner: GstElement * tuner, frequency: GstTunerChannel * frequency, arg1: gulong arg1, udata: gpointer udata): {
        // javascript callback for the 'frequency-changed' signal
    }

Reports that the current frequency has changed.

Parameters:

`tuner` –

The element providing the GstTuner interface

`frequency` –

The new frequency (an unsigned long)

`arg1` –
No description available
`udata` –
No description available

Flags: Run Last

#### norm-changed

    norm_changed_callback (GstElement * tuner,
                           GstTunerNorm * norm,
                           gpointer udata)

    def norm_changed_callback (tuner, norm, udata):
        #python callback for the 'norm-changed' signal

    function norm_changed_callback(tuner: GstElement * tuner, norm: GstTunerNorm * norm, udata: gpointer udata): {
        // javascript callback for the 'norm-changed' signal
    }

Reports that the current GstTunerNorm has changed.

Parameters:

`tuner` –

The element providing the GstTuner interface

`norm` –

The new configured norm.

`udata` –
No description available

Flags: Run Last

#### signal-changed

    signal_changed_callback (GstElement * tuner,
                             GstTunerChannel * channel,
                             gint signal,
                             gpointer udata)

    def signal_changed_callback (tuner, channel, signal, udata):
        #python callback for the 'signal-changed' signal

    function signal_changed_callback(tuner: GstElement * tuner, channel: GstTunerChannel * channel, signal: gint signal, udata: gpointer udata): {
        // javascript callback for the 'signal-changed' signal
    }

Reports that the signal strength has changed.

Parameters:

`tuner` –

The element providing the GstTuner interface

`channel` –

The current GstTunerChannel

`signal` –

The new signal strength (an integer)

`udata` –
No description available

Flags: Run Last

The results of the search are